%define		svnrel 1193562
Name:		keyboardLeds
Version:	0.0.%{svnrel}
Release:	2.3
Summary:	Virtual Keyboard LEDs
Url:		http://websvn.kde.org/trunk/playground/base/plasma/applets/keyboardLeds/
Group:		Productivity/Other
License:	GPL
Source0:	%{name}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  acl arts arts-devel attr autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat fam fam-devel file filesystem findutils flex fontconfig fontconfig-devel freeglut freeglut-devel gawk gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel gpm grep groff gzip info less libacl libart_lgpl libart_lgpl-devel libattr libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg-devel libmng libmng-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools openssl openssl-devel pam patch pcre pcre-devel perl popt procps psmisc python rcs readline rpm sed strace tar texinfo unzip util-linux zlib zlib-devel pkgconfig

BuildRequires:  cmake

%if 0%{?suse_version} == 930 || 0%{?suse_version} == 1000
BuildRequires: update-desktop-files
%endif

%if 0%{?fedora_version} == 9
BuildRequires:  gcc gcc-c++
%else
BuildRequires:  gcc gcc-c++ libgcc
%endif

%if 0%{?suse_version}
BuildRequires: qt-devel >= 4.1 libkde4-devel kdebase4-workspace-devel >= 4.3 kdebase4-workspace >= 4.3
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires: qt4-devel >= 4.1
%endif

%if 0%{?fedora_version}
BuildRequires:  kdelibs4-devel kdebase-workspace-devel >= 4.2
%endif


%description
This applet shows the current status of your keyboard LEDs.



%prep
%setup -n %{name}

%build
%if 0%{?suse_version}
%cmake_kde4 -d build
%make_jobs
%else
%cmake_kde4
%endif

%install
%if 0%{?suse_version}
pushd build
%endif
%__make DESTDIR=%{buildroot} install
%if 0%{?suse_version}
popd
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/kde4/plasma_applet_keyboardLeds.so
%{_datadir}/kde4/apps/desktoptheme/default/widgets/keyboardleds.svg
%{_datadir}/kde4/services/plasma-applet-keyboardLeds.desktop

%changelog
* Sat Nov 06 2010 Carsten Schoene <cs@linux-administrator.com> - 0.0.1193562-1
- initial build
